zenilib: highlevel_encode_setup Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
highlevel_encode_setup Struct Reference

`#include <highlevel.h>`

## Public Attributes

double | amplitude_track_dBpersec
double | ath_absolute_dB
double | ath_floating_dB
double | base_setting
long | bitrate_av
double | bitrate_av_damp
long | bitrate_max
long | bitrate_min
long | bitrate_reservoir
double | bitrate_reservoir_bias
highlevel_byblocktype | block [4]
int | coupling_p
int | impulse_block_p
double | impulse_noisetune
int | lowpass_altered
double | lowpass_kHz
int | managed
int | noise_normalize_p
float | req
int | set_in_stone
const void * | setup
double | stereo_point_setting
double | trigger_setting

## Detailed Description

Definition at line 25 of file highlevel.h.

## Member Data Documentation

double highlevel_encode_setup::amplitude_track_dBpersec

Definition at line 53 of file highlevel.h.

Referenced by vorbis_encode_global_psych_setup(), vorbis_encode_setup_init(), and vorbis_encode_setup_setting().

double highlevel_encode_setup::ath_absolute_dB

Definition at line 51 of file highlevel.h.

Referenced by vorbis_encode_ath_setup(), and vorbis_encode_setup_setting().

double highlevel_encode_setup::ath_floating_dB

Definition at line 50 of file highlevel.h.

Referenced by vorbis_encode_ath_setup(), vorbis_encode_setup_init(), and vorbis_encode_setup_setting().

double highlevel_encode_setup::base_setting

Definition at line 28 of file highlevel.h.

Referenced by setting_to_approx_bitrate(), vorbis_encode_ctl(), vorbis_encode_setup_init(), vorbis_encode_setup_managed(), vorbis_encode_setup_setting(), and vorbis_encode_setup_vbr().

long highlevel_encode_setup::bitrate_av

Definition at line 36 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_init(), and vorbis_encode_setup_managed().

double highlevel_encode_setup::bitrate_av_damp

Definition at line 37 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_init(), and vorbis_encode_setup_managed().

long highlevel_encode_setup::bitrate_max

Definition at line 38 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_init(), and vorbis_encode_setup_managed().

long highlevel_encode_setup::bitrate_min

Definition at line 35 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_init(), and vorbis_encode_setup_managed().

long highlevel_encode_setup::bitrate_reservoir

Definition at line 39 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_init(), and vorbis_encode_setup_managed().

double highlevel_encode_setup::bitrate_reservoir_bias

Definition at line 40 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_init(), and vorbis_encode_setup_managed().

highlevel_byblocktype highlevel_encode_setup::block[4]

Definition at line 56 of file highlevel.h.

Referenced by vorbis_encode_setup_init(), and vorbis_encode_setup_setting().

int highlevel_encode_setup::coupling_p

Definition at line 44 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_managed(), and vorbis_encode_setup_vbr().

int highlevel_encode_setup::impulse_block_p

Definition at line 42 of file highlevel.h.

Referenced by vorbis_encode_setup_init(), and vorbis_encode_setup_setting().

double highlevel_encode_setup::impulse_noisetune

Definition at line 30 of file highlevel.h.

Referenced by vorbis_encode_ctl(), and vorbis_encode_setup_init().

int highlevel_encode_setup::lowpass_altered

Definition at line 48 of file highlevel.h.

Referenced by vorbis_encode_ctl(), and vorbis_encode_setup_setting().

double highlevel_encode_setup::lowpass_kHz

Definition at line 47 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_residue_setup(), and vorbis_encode_setup_setting().

int highlevel_encode_setup::managed

Definition at line 34 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_global_stereo(), vorbis_encode_residue_setup(), vorbis_encode_setup_init(), vorbis_encode_setup_managed(), and vorbis_encode_setup_vbr().

int highlevel_encode_setup::noise_normalize_p

Definition at line 43 of file highlevel.h.

Referenced by vorbis_encode_psyset_setup(), and vorbis_encode_setup_setting().

float highlevel_encode_setup::req

Definition at line 33 of file highlevel.h.

Referenced by vorbis_encode_ctl(), vorbis_encode_setup_managed(), and vorbis_encode_setup_vbr().

int highlevel_encode_setup::set_in_stone

Definition at line 26 of file highlevel.h.

Referenced by vorbis_encode_ctl(), and vorbis_encode_setup_init().

const void* highlevel_encode_setup::setup

Definition at line 27 of file highlevel.h.

Referenced by setting_to_approx_bitrate(), vorbis_encode_ctl(), vorbis_encode_setup_init(), vorbis_encode_setup_managed(), vorbis_encode_setup_setting(), and vorbis_encode_setup_vbr().

double highlevel_encode_setup::stereo_point_setting

Definition at line 46 of file highlevel.h.

Referenced by vorbis_encode_global_stereo(), and vorbis_encode_setup_setting().

double highlevel_encode_setup::trigger_setting

Definition at line 54 of file highlevel.h.

Referenced by vorbis_encode_setup_init(), and vorbis_encode_setup_setting().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/lib/highlevel.h